Перейти к содержимому

database_api.list_smt_contributions ​

since HF23 deprecated

SMT has been abandoned; this RPC method is no longer provided.

Purpose ​

Перечисляет взносы SMT (SMT contribution). Взносы нужны, чтобы отслеживать индивидуальные взносы в SMT на фазе ICO. Параметры: start:array; limit:int; order:string

  • start зависит от order (см. ниже)
  • limit - до 1000.
  • order может быть одним из:
    • by_symbol_id - упорядочение по символу (symbol)
    • by_symbol_contributor - упорядочение по symbol, contributor и contribution_id

| start (array) | limit (int) | order (string) | |-------------------|-|-|-|-|-| | [{"nai": "@@422838704", "decimals": 0}, 0] | 10 | by_symbol_id | список 10 взносов, упорядоченных по символу, id | | [{"nai": "@@422838704", "decimals": 0}, "alice", 0] | 10 | by_symbol_contributor | список 10 взносов, упорядоченных по символу, участнику, id |

См.: Token Units, Vesting Contributions

См. также: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_symbol_id"
}

⚠ Этот метод устарел (эпоха SMT) и больше не предоставляется публичными узлами.

Example ​

Example 1 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_smt_contributions",
    "params": {
      "start": [
        {
          "nai": "@@422838704",
          "decimals": 0
        },
        0
      ],
      "limit": 10,
      "order": "by_symbol_id"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_smt_contributions",
    "params": {
      "start": [
        {
          "nai": "@@422838704",
          "decimals": 0
        },
        "alice",
        0
      ],
      "limit": 10,
      "order": "by_symbol_contributor"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "contributions": [
    {
      "id": 0,
      "symbol": {
        "nai": "@@422838704",
        "decimals": 0
      },
      "contributor": "alice",
      "contribution_id": 0,
      "contribution": {
        "amount": "1000",
        "precision": 3,
        "nai": "@@000000021"
      }
    }
  ]
}